Obter entrega de evento
curl --request GET \
--url https://spb.sandbox.lerian.net/v1/str/event-deliveries/{deliveryId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://spb.sandbox.lerian.net/v1/str/event-deliveries/{deliveryId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spb.sandbox.lerian.net/v1/str/event-deliveries/{deliveryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attempts": [
{
"attemptNumber": 123,
"attemptedAt": "<string>",
"deliveryAttemptId": "<string>",
"deliveryId": "<string>",
"status": "<string>",
"errorSummary": "<string>",
"responseStatus": 123
}
],
"correlationId": "<string>",
"delivery": {
"attempts": 123,
"createdAt": "<string>",
"deliveryId": "<string>",
"eventId": "<string>",
"eventType": "<string>",
"status": "<string>",
"updatedAt": "<string>",
"webhookId": "<string>",
"lastAttemptAt": "<string>",
"lastError": "<string>",
"nextRetryAt": "<string>",
"operationId": "<string>"
}
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Obter entrega de evento
Retorna uma única linha event_delivery mais seu histórico de tentativas. Buscas por ids desconhecidos aparecem como não encontrado (SPB-0010), byte a byte idênticas às de um recurso realmente inexistente.
GET
/
v1
/
str
/
event-deliveries
/
{deliveryId}
Obter entrega de evento
Autorizações
JWT bearer token issued by the identity provider.
Parâmetros de caminho
Delivery UUID.
Exemplo:
"550e8400-e29b-41d4-a716-446655440010"
Resposta
OK
Chronological attempt history for the delivery.
Show child attributes
Show child attributes
Request-scoped correlation identifier echoing X-Request-ID, for pivoting from response to trace.
Exemplo:
"550e8400-e29b-41d4-a716-446655440004"
The event delivery record.
Show child attributes
Show child attributes
Esta página foi útil?
⌘I

